[package]
name = "colors"
version = "0.1.0"
edition = "2024"
authors = ["Mark Poliakov <mark@alnyan.me>"]

[[bin]]
name = "colors-bar"

[dependencies]
uipc.workspace = true
cross.workspace = true
logsink.workspace = true
libcolors.workspace = true
libpsf.workspace = true

serde.workspace = true
thiserror.workspace = true
log.workspace = true
clap.workspace = true
chrono.workspace = true

[target.'cfg(target_os = "yggdrasil")'.dependencies]
yggdrasil-abi.workspace = true
runtime.workspace = true

[target.'cfg(unix)'.dependencies]
winit = "0.30.9"
softbuffer = "0.4.6"

[dev-dependencies]
winit = "0.30.9"
softbuffer = "0.4.6"

[lints]
workspace = true
